.TH BOSS 1 "15 October 1990"
.SH NAME
boss \- interface with a Casio BOSS
.SH SYNOPSIS
boss [\fB\(hyb\fP \fIbaud\fP] [\fB\(hyf\fP \fIfile\fP] [\fB\(hyp\fP \fIparity\fP] [\fB\(hys\fP \fIport\fP] 
.SH DESCRIPTION
.LP
\f2Boss\fP allows workstation users to load and store data to and from a
Casio BOSS Digital Diary.  Casio BOSS models SF-7000, SF-7500, SF-8000,
SF-9000, and SF-9500 are equipped with a serial port, which can be connected
to a variety of computing devices.
.LP
In order to connect the BOSS to your machine, you will need a special 
conversion cable.  This cable must convert the TTL voltage-level waveforms
produced by the BOSS into RS-232 voltage-level waveforms.  Real men will
build their own cable; lesser users will shell out for the Casio PC-LINK
cable, available from Casio dealers.  Although sold as a PC-compatible 
cable, the PC-LINK is known to work with a number of workstations,
including Sun machines.
.LP
\f2Boss\fP can read BOSS data from a number of sources, including the BOSS,
conventional text files, and special \f2boss\fP-format files.  Items read
by \f2boss\fP can then be stored in either a file or back into the BOSS.
\f2Boss\fP can also convert BOSS schedule items to a format compatible
with \f2calentool\fP(1).
.LP
\f2Boss\fP is most often used to periodically back up BOSS data, and to
convert BOSS items, particularly memo and schedule entries, to formats
compatible wih other tools.
.SH OPTIONS
.IP "\fB\\(hyb\fP \fIbaud\fP"
specifies the default baud rate to use for the serial port to which the BOSS
is attached.  \fIBaud\fP must be either \*(lq1200\*(rq, \*(lq2400\*(rq, \*(lq4800\*(rq, or \*(lq9600\*(rq, 
and should correspond to the baud rate set in the communications parameters
of your BOSS.  You can also modify the baud rate in the port properties
dialog, described below.
.IP "\fB\\(hyf\fP \fIfile\fP"
specifies the default file into which BOSS data is saved.  If not specified,
~/.casio is used.  This file is typically used to back up your BOSS data
periodically.
.IP "\fB\\(hyp\fP \fIparity\fP"
specifies the default parity to use for the serial port to which the BOSS
is attached.  \fIParity\fP must be either \*(lqnone\*(rq, \*(lqodd\*(rq, or \*(lqeven\*(rq,
and should correspond to the parity set in the communications parameters
of your BOSS.  You can also modify the parity in the port properties
dialog, described below.
.IP "\fB\\(hys\fP \fIport\fP"
specifies the serial port to which the BOSS is attached.
\fIPort\fP must be either \*(lqttya\*(rq or \*(lqttyb\*(rq.
You can modify the port setting in the port properties
dialog, described below.
.SH USER INTERFACE
.LP
\f2Boss\fP presents the user with a control panel containing three
buttons and a display window.  The count of the number of objects
currently stored by \f2boss\fP is shown in the display window.
\f2Boss\fP's behavior is managed with the \fBFile\fP,
\fBView\fP, and \fBEdit\fP buttons.  The menus associated with these
buttons are:
.IP "\fBFile: Load Data...\fP"
brings up the \fBLoad Data\fP dialog box.  This dialog contains
an exclusive setting, which lets you choose the source of the data
to be loaded.  If \*(lqCasio BOSS\*(rq is selected, data will be read from the
serial port.  If \*(lqCasio-format file\*(rq is selected, data is read
from the specified file, which must have been previously created by saving
data from \f2boss\fP into a Casio-format file.  If \*(lqASCII text file\*(rq
is selected, \f2boss\fP will read ASCII text from a file and convert it 
into a sequence of BOSS memo items, placing as much text as possible into
each memo item.
.IP ""
When loading data from the BOSS, click the \*(lqLoad\*(rq button in this
dialog \fIbefore\fP pressing the \*(lqSet\*(rq button on your BOSS to
start the data transfer.
.IP ""
The text fields associated with \*(lqCasio-format file\*(rq and \*(lqASCII text file\*(rq
provide file name completion, like \f2csh\fP(1), by typing
a space or carriage return.
.IP "\fBFile: Store Data...\fP"
brings up the \fBStore Data\fP dialog box.  This dialog contains a non-exclusive
setting labeled \*(lqStore items\*(rq that lets you choose which items are to
be stored.  Only those items selected in this setting will be written to the
destination selected.
.IP ""
Below the \*(lqStore items\*(rq selection is
an exclusive setting which lets you choose the destination of the data
to be saved.  If \*(lqCasio BOSS\*(rq is selected, data will be written to the
serial port.  If \*(lqCasio-format file\*(rq is selected, data is written to
the specified file in an internal format which retains all BOSS object
attributes.  This format is recommdended for backing up your BOSS data
for later reloading.  If \*(lqASCII text file\*(rq
is selected, \f2boss\fP will convert the selected BOSS objects to ASCII text and write
them to a file.  These objects, if later read by \f2boss\fP, \fIcannot\fP be
converted into their original form; they will be read in as memo items.
.IP ""
When storing data to the BOSS, make sure you place the BOSS in receive mode \fIbefore\fP
you start the transfer by clicking the \*(lqStore\*(rq button.
.IP ""
The text fields associated with \*(lqCasio-format file\*(rq and \*(lqASCII text file\*(rq
provide file name completion, like \f2csh\fP(1), by typing
a space or carriage return.
.IP "\fBFile: Schedule Appointments...\fP"
brings up the \fBSchedule Appointments\fP dialog box.  This dialog lets you convert
BOSS schedule items into a format compatible with other schedule management tools.
.IP ""
An exclusive setting lets you choose the destination conversion format, either
\fIcalentool\fP(1) or Calendar Manager (see \fIcm\fP(1)).  If \f2calentool\fP
format is chosen, a text field is provided to let you specify the file containing
your \f2calentool\fP appointments.  By default, this is ~/.appointments.
.IP ""
Note that \f2boss\fP will convert appointments as closely as possible, but may
have to round off certain times to retain compatibility with the destination
tool.  In addition, alarm times may also be lost during conversion.
.IP "\fBView: Clear Data...\fP"
brings up the \*(lqClear Data\*(rq dialog box.  This dialog contains a non-exclusive
setting which lets you select those objects that will be cleared from \f2boss\fP's
memory.  This is often useful when reading in new data, since existing items
are not removed from memory before new objects are read in.
.IP "\fBEdit: Port Properties...\fP"
brings up the \*(lqPort Properties\*(rq dialog box.  This dialog provides
exclusive settings which let you change the serial port, baud rate, and parity used
to communicate with the BOSS.  The values selected in this dialog must correspond to
those set in the BOSS communications settings.  The default values use port
/dev/ttya at 9600 baud with no parity.  The defaults can be changed with command line
options, discussed above.
.SH FILES
.ta 2i
~/.casio	default BOSS data file
.SH SEE ALSO
calentool(1), cm(1)
.SH AUTHOR
.LP
Chuck Musciano
.br
Advanced Technology Department
.br
Harris Corporation
.br
PO Box 37, MS 3A/1912
.br
Melbourne, FL 32902
.br
(407) 727-6131
.br
ARPA: chuck@trantor.harris-atd.com
.SH BUGS
.LP
It would be nice to be able to view and edit individual BOSS objects.
