/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	do_clear	clear Casio data				*/
/*									*/
/************************************************************************/

#include	<stdio.h>
#include	<sys/param.h>
#include	<sys/types.h>
#include	<xview/xview.h>
#include	<xview/panel.h>
#include	"boss_ui.h"

#include	"manifest.h"
#include	"object.h"
#include	"globals.h"

PUBLIC	boss_base_objects	*boss_base;

PRIVATE	boss_clear_dialog_objects	*dialog = NULL;

/************************************************************************/
EXPORT	Menu_item	clear_dialog(item, op)

Menu_item	item;
Menu_generate	op;

{
	if (op == MENU_NOTIFY) {
	   if (dialog == NULL) {
	      dialog = boss_clear_dialog_objects_initialize(NULL, boss_base->base);
	      place_dialog(boss_base->base, dialog->clear_dialog);
	      }
	   xv_set(dialog->clear_dialog, XV_SHOW, TRUE, NULL);
	   }
	return item;
}

/************************************************************************/
EXPORT	void	accept_clear(item, event)

Panel_item	item;
Event		*event;

{	int	i, which;

	if (which = (int) xv_get(dialog->clear_data, PANEL_VALUE))
	   for (i = 0; i < MAX_OBJECT_KINDS; i++)
	      if (which & (1 << i)) {
	         free_object_list(data[i]);
	         data[i] = NULL;
	         }
	update_object_count();
	xv_set(item, PANEL_NOTIFY_STATUS, XV_OK, 0);
}
