/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	do_port		handle Casio port attributes			*/
/*									*/
/************************************************************************/

#include	<stdio.h>
#include	<sys/param.h>
#include	<sys/types.h>
#include	<xview/xview.h>
#include	<xview/panel.h>
#include	"boss_ui.h"

#include	"manifest.h"
#include	"packet.h"
#include	"object.h"
#include	"globals.h"

PUBLIC	boss_base_objects	*boss_base;

PRIVATE	boss_port_dialog_objects	*dialog = NULL;

/************************************************************************/
PRIVATE	reset_values()

{
	xv_set(dialog->port_port, PANEL_VALUE, port, NULL);
	xv_set(dialog->port_baud, PANEL_VALUE, baud_rate, NULL);
	xv_set(dialog->port_parity, PANEL_VALUE, parity, NULL);
}

/************************************************************************/
EXPORT	Menu_item	port_dialog(item, op)

Menu_item	item;
Menu_generate	op;

{
	if (op == MENU_NOTIFY) {
	   if (dialog == NULL) {
	      dialog = boss_port_dialog_objects_initialize(NULL, boss_base->base);
	      place_dialog(boss_base->base, dialog->port_dialog);
	      }
	   if (xv_get(dialog->port_dialog, XV_SHOW) == FALSE)
	      reset_values();
	   xv_set(dialog->port_dialog, XV_SHOW, TRUE, NULL);
	   }
	return item;
}

/************************************************************************/
EXPORT	void	accept_port(item, event)

Panel_item	item;
Event		*event;

{	
	baud_rate = (int) xv_get(dialog->port_baud, PANEL_VALUE);
	parity = (int) xv_get(dialog->port_parity, PANEL_VALUE);
	port = (int) xv_get(dialog->port_port, PANEL_VALUE);
	port_file = (port == 0)? "/dev/ttya" : "/dev/ttyb";
	xv_set(item, PANEL_NOTIFY_STATUS, XV_OK, 0);
}

/************************************************************************/
EXPORT	void	reset_port(item, event)

Panel_item	item;
Event		*event;

{
	reset_values();
	xv_set(item, PANEL_NOTIFY_STATUS, XV_ERROR, 0);
}


