/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	misc.c		miscellaneous support and conversion routines	*/
/*									*/
/************************************************************************/

#include	<stdio.h>
#include	<ctype.h>

#include	<sys/termios.h>

#include	"manifest.h"

#define		value_of(p)		((*(p) - '0') * 10 + (*((p) + 1) - '0'))

/************************************************************************/
EXPORT	ascii_to_time(buf, start, stop)

byte	*buf;
time	*start;
time	*stop;

{
	start->hour = value_of(buf);
	start->minute = value_of(buf + 3);
	if (stop)
	   if (*(buf + 5) == '~') {
	      stop->hour = value_of(buf + 6);
	      stop->minute = value_of(buf + 9);
	      }
	   else
	      stop->hour = stop->minute = INVALID_TIME;
}

/************************************************************************/
EXPORT	time_to_ascii(start, stop, buf)

time	*start;
time	*stop;
byte	*buf;

{
	sprintf(buf, "%02d:%02d", start->hour, start->minute);
	if (stop && stop->hour != INVALID_TIME)
	   sprintf(buf + 5, "~%02d:%02d", stop->hour, stop->minute);
}

/************************************************************************/
EXPORT	ascii_to_date(buf, d)

byte	*buf;
date	*d;

{
	d->year = value_of(buf) * 100 + value_of(buf + 2);
	d->month = value_of(buf + 5);
	d->day = value_of(buf + 8);
}

/************************************************************************/
EXPORT	date_to_ascii(d, buf)

date	*d;
byte	*buf;

{
	sprintf(buf, "%04d-%02d-%02d", d->year, d->month, d->day);
}

/************************************************************************/
EXPORT	long	ascii_to_long(buf)

byte	*buf;

{
	return(*((long *) buf));
}

/************************************************************************/
EXPORT	long_to_ascii(val, buf)

long	val;
byte	*buf;

{
	*((long *) buf) = val;
}

/************************************************************************/
EXPORT	lower(p)

char	*p;

{
	for ( ; *p; p++)
	   if (isupper(*p))
	      *p = tolower(*p);
}

/************************************************************************/
EXPORT	int	is_empty(s)

char	*s;

{
	if (s == NULL)
	   return(TRUE);
	for (; *s; s++)
	   if (!isspace(*s))
	      return(FALSE); 
	return(TRUE);
}
